#!/bin/sh
# 
# The contents of this file are subject to the Terracotta Public License Version
# 2.0 (the "License"); You may not use this file except in compliance with the
# License. You may obtain a copy of the License at 
# 
#      http://terracotta.org/legal/terracotta-public-license.
# 
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
# the specific language governing rights and limitations under the License.
# 
# The Covered Software is Terracotta Platform.
# 
# The Initial Developer of the Covered Software is 
#     Terracotta, Inc., a Software AG company
#
THIS_DIR=`dirname $0`
TC_INSTALL_DIR=`cd $THIS_DIR;pwd`/../..

if [ -r "$TC_INSTALL_DIR"/server/bin/setenv.sh ] ; then
  . "$TC_INSTALL_DIR"/server/bin/setenv.sh
fi
JAVA=$JAVA_HOME/bin/java

workdir=`dirname $0`
workdir=`cd ${workdir} && pwd`
BIGMEMORY=${workdir}/../..

. "${BIGMEMORY}"/code-samples/bin/buildcp.sh

if [ `uname | grep CYGWIN` ]; then
   BIGMEMORY=`cygpath -w -p $BIGMEMORY`
fi

"$JAVA" -Xmx200m  -Dcom.tc.productkey.path="${BIGMEMORY}"/terracotta-license.key  -classpath \'"$BIGMEMORY_CP"\'   com.bigmemory.samples.readwritethrough.ReadWriteThrough
